#
# spec file for package NetworkManager-openvpn
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-openvpn
Summary:        NetworkManager VPN support for OpenVPN
License:        GPL-2.0+
Group:          Productivity/Networking/System
Version:        1.0.8
Release:        3.3
# FIXME .desktop icons are currently disabled (on purpose) in the NM tarballs. They will re-appear later on (when nmce supports --import)
# FIXME: --disable-more-warnings should be dropped from configure when possible. Added with 0.9.2.0 for Gtk+ 3.3 build.
Url:            http://www.gnome.org/projects/NetworkManager
Source0:        http://download.gnome.org/sources/NetworkManager-openvpn/1.0/%{name}-%{version}.tar.xz
Source1:        NetworkManager-openvpn-openvpn-settings.png
Patch0:         nm-openvpn-desktop.patch
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.10
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnm-glib) >= 0.9.10
BuildRequires:  pkgconfig(libnm-glib-vpn) >= 0.9.10
BuildRequires:  pkgconfig(libnm-gtk) >= 1.0.5
BuildRequires:  pkgconfig(libnm-util) >= 0.9.10
BuildRequires:  pkgconfig(libsecret-unstable)
Recommends:     %{name}-frontend
Requires:       NetworkManager >= 0.9.10
Requires:       openvpn
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
NetworkManager-openvpn provides VPN support to NetworkManager for
OpenVPN.

%package gnome
Summary:        NetworkManager VPN support for OpenVPN
Group:          Productivity/Networking/System
Provides:       %{name}-frontend
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-gnome >= 0.5.1

%description gnome
NetworkManager-openvpn provides VPN support to NetworkManager for
OpenVPN.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1
cp -a %{S:1} nm-openvpn-settings.png

%build
%configure\
	--disable-static \
        --disable-more-warnings
%__make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -delete -print
# FIXME: There is no MIME type definition for application/x-openvpn-settings in /usr/share/mime/packages.
# Without it, MIME icon has no effect.
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/mimetypes
#mv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-openvpn-settings.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/mimetypes/
install -D nm-openvpn-settings.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/nm-openvpn-settings.png
# FIXME .desktop icons are currently disabled (on purpose) in the NM tarballs. They will re-appear later on (when nmce supports --import)
# %%suse_update_desktop_file nm-openvpn GNOME Network Monitor Applet

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group  nm-openvpn >/dev/null || groupadd -r nm-openvpn
getent passwd nm-openvpn >/dev/null || useradd  -r -g nm-openvpn \
                                                    -d %{_localstatedir}/lib/openvpn \
                                                    -s /sbin/nologin \
                                                    -c "NetworkManager user for OpenVPN" \
                                                    nm-openvpn
exit 0

%post gnome
%icon_theme_cache_post

%postun gnome
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc README
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%{_sysconfdir}/NetworkManager/VPN/nm-openvpn-service.name
%{_sysconfdir}/dbus-1/system.d/nm-openvpn-service.conf

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-openvpn-properties.so*
%{_libexecdir}/nm-openvpn-auth-dialog
# FIXME .desktop icons are currently disabled (on purpose) in the NM tarballs. They will re-appear later on (when nmce supports --import)
#%{_datadir}/applications/nm-openvpn.desktop
%{_datadir}/gnome-vpn-properties/
%{_datadir}/icons/hicolor/*/*/*.png

%files lang -f %{name}.lang

%changelog
* Thu Apr  7 2016 sckang@suse.com
- Update to GNOME 3.20 Fate#318572
* Sun Nov 22 2015 zaitor@opensuse.org
- Update to version 1.0.8:
  + Fix operations in IPv6-only configurations.
  + Add support for importing configurations with inline
    certificates.
  + Do not require password if user chose not to store it.
  + Cosmetic UI fixes.
  + Updated translations.
* Mon Sep  7 2015 dimstar@opensuse.org
- Create user/group nm-openvpn: NM-openvpn now runs as unprivileged
  user (as does NM-openconnect already) (boo#944665).
* Tue Sep  1 2015 simon@simotek.net
- Update to version 1.0.6:
  + Enhanced the GUI to support agent-owned and always-ask
    passwords.
  + Support running unprivileged.
  + Updated translations.
* Wed May  6 2015 dimstar@opensuse.org
- Update to version 1.0.2:
  + Default to disabling periodic renegotioation. This avoids
    renegotiating unnecessarily if the server doesn't specify a
    renegotiation timeout, improving usability for OTP users.
  + Build fixes.
  + Updated translations.
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 1.0.0:
  + Use Unix socket for management instead of local TCP socket.
  + Make password requests more robust.
  + Allow specifying port and protocol for multiple remotes (VPN
    gateways).
  + updated translations.
* Fri Jan 23 2015 tampakrap@opensuse.org
- Make NetworkManager-openvpn-frontend a recommended dependency, as
  it can work fine on systems without any DE installed.
* Fri Jul 11 2014 dimstar@opensuse.org
- Update to version 0.9.10.0:
  + Allow specifying custom interface name and key size.
  + Better handle --up-restart.
  + Use libsecret for password storage instead of gnome-keyring.
  + Add support for interactive password queries from openvpn.
  + Add support for IPv6 tunnels.
- Replace pkgconfig(gnome-keyring-1) BuildRequires with
  pkgconfig(libsecret-unstable), following upstreams switch to
  libsecret.
- Rebase nm-openvpn-desktop.patch.
- Add pkgconfig(libnm-gtk) BuildRequires: new dependency.
* Fri Sep 13 2013 dimstar@opensuse.org
- Update to version 0.9.8.4:
  + Fixed paths in VPN service file.
  + Fixed localization in non-UTF-8 locales.
  + Updated translations.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 0.9.8.2:
  + Use full paths for auth dialog and properties plugin.
  + Handle multiple domain names.
  + Updated translations.
* Fri Feb 22 2013 zaitor@opensuse.org
- Update to version 0.9.8.0:
  + Builds against the GNOME 3.8 versions of GLib and Gtk+.
  + nm-openvpn-service now returns translated error messages.
  + Add support for the 'remote-cert-tls' method for verifying the
    server certificate.
  + Fixed import/export to handle multiple remote servers.
  + No longer asks for a password when using a passwordless auth
    mode.
  + Updated translations.
* Tue Aug  7 2012 dimstar@opensuse.org
- Update to version 0.9.6.0:
  + Updated translations.
* Fri Jun 29 2012 dimstar@opensuse.org
- Update to version 0.9.5.95:
  + Add option to randomize connect order to openvpn servers/peers
  + Updated translations.
* Sat Mar 24 2012 vuntz@opensuse.org
- Update to version 0.9.4.0:
  + Fix auth failure in some case.
  + Updated translations.
* Fri Mar  2 2012 dimstar@opensuse.org
- Update to version 0.9.3.995:
  + Fix issues with password dialog width on recent GTK+ versions
  + Allow cipher and HMAC options to be set for Static Key mode
  + Support for "external UI mode" for DE-native dialogs (ie, GNOME
    Shell and others)
  + Updated translations.
- Add explicit pkgconfig(libnm-glib-vpn) BuildRequires: it's a long
  standing requirement which currently comes implicit with
  libnm-glib, as it's part of the same package at this moment.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Nov 12 2011 dimstar@opensuse.org
- Update to version 0.9.2.0:
  + Updated translations.
- Pass --disable-more-warnings to configure to allow building with
  gtk+ 3.3.
- Really enable parallel build: fix typo smp_flags => smp_mflags.
* Tue Nov  1 2011 dimstar@opensuse.org
- Update to version 0.9.1.95:
  + Updated translations.
* Tue Aug 23 2011 dimstar@opensuse.org
- Update to version 0.9.0:
  + Use a simplified password request dialog.
  + Simplify keyring access and don't save secrets.
  + Preserve secret flags and consolidate secrets handling.
* Thu Jul  7 2011 vuntz@opensuse.org
- Update to version 0.8.9997:
  + Ensure saved secrets are passed back to NM.
  + Add RSA-MD4 HMAC digest algorithm.
  + Stop using deprecated GTK+ API.
  + Updated translations.
* Wed May  4 2011 dimstar@opensuse.org
- Update to version 0.8.999:
  + Export HTTP proxy authfile.
  + Default to agent-owned secrets for new connections.
  + Fix HTTP Proxy authentication autodetection.
  + Updated translations.
* Thu Apr 21 2011 vuntz@opensuse.org
- Drop unneeded libglade2-devel, libgnomeui-devel,
  libgudev-1_0-devel, perl-XML-Parser, update-desktop-files
  BuildRequires.
- Move to pkgconfig()-style BuildRequires:
  + Old ones: NetworkManager-devel, NetworkManager-gnome.
  + New ones: NetworkManager, dbus-glib-1, libnm-glib, libnm-util,
    gnome-keyring-1.
- Stop owning /etc/NetworkManager/VPN as it's owned by
  NetworkManager now.
* Tue Apr  5 2011 dimstar@opensuse.org
- Update to version 0.8.998 (0.9.0-rc1):
  + Bugs fixed: bgo#645911.
  + Updated translations.
* Wed Mar 16 2011 dimstar@opensuse.org
- Update to version 0.8.995 (0.9.0-beta1):
  + simpler, easier, more flexible, and cooler applets.
  + Fast User Switching.
  + WiMAX support.
  + System connections by default.
  + More flexible system administration.
  + Scales down to smaller devices.
- Drop nm-openvpn-show-unencrypted-private-keys-files.patch: fixed
  upstream.
- Add pkgconfig(gtk+-3.0) BuildRequires.
* Mon Feb 21 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Tue Feb 15 2011 binli@opensuse.org
- Add nm-openvpn-show-unencrypted-private-keys-files.patch, show
  unencrypted private files in file chooser dialog(bnc#662577).
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Remove ldconfig from %%post/%%postun: there is no library there.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Sat Nov  6 2010 dimstar@opensuse.org
- Update to version 0.8.2:
  + Fixes to ensure correct IP configuration of tunnels
  + Support for HTTP and SOCKS proxies
  + Better debugging options
  + Updated translations.
- Split out -lang package.
* Mon May 10 2010 dimstar@opensuse.org
- Update to 0.8.1:
  + Support for tun-mtu fragment and mss-fix options
  + PKCS#12 and PKCS#8 private keys
  + RIPMED-160 HMAC auth
  + Improved handling of unencrypted private keys
  + Updated translations
* Tue Feb 23 2010 dimstar@opensuse.org
- Update to version 0.8:
  + build: disabled .desktop for now
  + bgo#606998 - core: handle remote VPN peer correctly in share
    key mode too
  + Updated translations.
* Sat Jan 30 2010 captain.magnus@opensuse.org
- Update to version 0.7.999:
  + import/export: handle 'port' and 'rport' correctly
    (bgo#604329) (lp#443174)
  + export: fix tls-auth export
  + core: add tls-remote support (bgo#455142)
  + Translation updates
- Remove nm-openvpn-sscanf.patch. Was not in use
* Thu Jan 21 2010 tambet@novell.com
- Upgrade to the latest upstream 0.8 branch:
  + Add tls-remote support.
  + Handle 'subnet' topology better.
  + Import/export improvements.
  + Bug fixes.
  + Translation updates.
* Mon Nov 16 2009 aj@suse.de
- Regenerate patches to apply cleanly.
* Mon Oct 19 2009 martin.matuska@vx.sk
- Remove script-security patch for use with OpenVPN 2.1
- Add sscanf patch from upstream (bnc #547573)
* Tue Jul 21 2009 coolo@novell.com
- fix use of %%_libexecdir
* Fri Jun  5 2009 tambet@novell.com
- Upgrade to 0.7.1.
* Wed Feb 11 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Sun Feb  8 2009 schwab@suse.de
- Don't crash on invalid connection-type.
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Sat Dec  6 2008 mauro@suse.de
- Translation update.
* Fri Nov  7 2008 bili@suse.de
- Search for certificates from the directory where the
  configuration file is from (bnc #437963).
* Fri Oct 24 2008 tambet@suse.de
- The "Certificates (TLS)" tab should also be present for
  NM_OPENVPN_CONTYPE_PASSWORD.
- Accept ".cer" extension for certificates.
- Handle route_vpn_gateway (bgo #549196).
* Fri Oct 10 2008 tambet@suse.de
- Fix the User and CA certificate entries in Password TLS mode,
  they were swapped with their labels (rh #464765).
* Fri Sep 26 2008 tambet@suse.de
- Fix crashes when creating and deleting connections.
- Add password widgets (bnc #395564).
* Fri Sep 19 2008 tambet@suse.de
- Fix openvpn activations. Upstream uses newer openvpn and
  generates command line not suitable for our openvpn.
* Fri Sep 12 2008 tambet@suse.de
- Bring up to date with SVN.
- Require more specifc version of NetworkManager.
* Sat Aug  2 2008 tambet@suse.de
- Bring up to date with SVN again.
* Wed Jul 16 2008 bili@suse.de
- Upgrade to 0.7.0.r3820 from upstream for build failed.
* Fri May 16 2008 bili@suse.de
- Upgrade to 0.7.0.r3647(bnc#389155).
* Thu Jan 17 2008 tambet@suse.de
- Upgrade to 0.7.0.
* Tue Dec  4 2007 bili@suse.de
- Add the scroll window in properties dialog (Novell #183004).
* Wed Aug  8 2007 tambet@suse.de
- Package the .so file again (Novell #298430).
* Tue Jun  5 2007 sbrabec@suse.cz
- Removed bogus definition of datadir.
- Fixed invalid desktop file patch.
- Fixed mixing of MIME and application icons.
- Call ldconfig.
* Tue May 15 2007 pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequires [#247450]
* Mon Mar 19 2007 hschaa@suse.de
- Replace all occurrences of "/opt/gnome" with "%%{prefix}"
* Mon Feb 12 2007 hschaa@suse.de
- Branch off the NetworkManager-openvpn-gnome package to avoid
  gnome dependencies when using knetworkmanager instead of
  nm-applet (Novell #198529).
* Tue Sep  5 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Aug  2 2006 danw@suse.de
- intltoolize before autoreconf'ing to avoid version skew between
  configure macros and po/Makefile.in.in
* Fri Jun 16 2006 rml@suse.de
- Update translations (Novell bug #169096)
* Thu Jun 15 2006 gekker@suse.de
- Update package to install all available translations (#179731)
* Mon Jun  5 2006 rml@suse.de
- Update translations (Novell bug #169096)
- Break translations out of nm-openvpn-0.6-branch.patch, place in
  separate nm-openvpn-po-update.patch
- Properties dialog: Glade file update (GNOME bug #336913)
* Thu May 18 2006 rml@suse.de
- Update translations (Novell bug #158997)
* Mon Apr 17 2006 rml@suse.de
- Property dialog: Mark the entries as non-editable, since they are
  in fact not user-editable (Novell bug #164989)
* Mon Apr 10 2006 rml@suse.de
- Report error if configuration exportation fails (Novell #164980)
* Wed Mar 29 2006 rml@suse.de
- Send per-route MSS information to NetworkManager (bug #157988)
* Mon Mar 20 2006 rml@suse.de
- Require NetworkManager-gnome (Novell bug #158691)
* Thu Feb  2 2006 rml@suse.de
- Update to 0.3.2cvs20060202
- Update NM API
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 rml@suse.de
- Update to 20060119
* Thu Jan 12 2006 rml@suse.de
- Update to 20060112
* Wed Jan  4 2006 rml@suse.de
- Update to 20060104
* Mon Dec 12 2005 rml@suse.de
- Update to 0.3.2cvs20051212
- Add Tango icons
* Wed Dec  7 2005 rml@suse.de
- Update to 0.3.1cvs20051207
* Thu Dec  1 2005 rml@suse.de
- Update to 0.2.0cvs20051201
* Mon Nov 14 2005 rml@suse.de
- Initial checkin, version 0.1.0cvs20051114
